var UA = navigator.userAgent;	//ユーザーエージェント
//ユーザーエージェントがガラケーの場合
if(UA.match(/DoCoMo/i) || UA.match(/Vodafone/i) || UA.match(/MOT\-[CV]980/i) || UA.match(/SoftBank/i) || UA.match(/KDDI\-/i) || UA.match(/UP\.Browser/i) || UA.match(/^PDXGW/i) || UA.match(/DDIPOCKET/i) || UA.match(/WILLCOM/i)){
	var dum = UA;
}else{

//ガラケーじゃない場合は以下のCSS置き換え処理
function UASC(){
var BaseCss = "moba.css";	//id：chgcssを指定したlinkタグのCSSファイル名
var PCCss = "desktop.css";	//id：chgcssを指定したlinkタグのCSSファイル名
var iPadCss = "tablet.css";	//iPadまたはタブレットPC用CSSファイル名
var iPhoneCss = "iphone.css";	//iPhoneまたはスマートフォン用CSSファイル名
var MobaCss = "moba.css";	//CSSが有効なガラケー用CSSファイル名
	
var OutW = window.innerWidth || document.body.clientWidth || document.documentElement.clientWidth;
var CssLink = document.getElementById('chgcss');
var objHead = document.getElementsByTagName("head").item(0);

	//画面幅が910px以上
	if(OutW <= 910){
		//画面幅が340px以下
		if(OutW > 340){
			if((CssLink.getAttribute("href").match(BaseCss)) && (iPadCss)){
				CssLink.setAttribute("href", CssLink.getAttribute("href").replace(BaseCss, iPadCss));
			}
		}else{
			if((CssLink.getAttribute("href").match(BaseCss)) && (iPhoneCss)){
				CssLink.setAttribute("href", CssLink.getAttribute("href").replace(BaseCss, iPhoneCss));
			}
		}
		//iPhoneやiPadの場合
		//ズーム倍率を固定するmetaを追加
		if((UA.match(/iPhone/)) || (UA.match(/iPad/))){
			var MetaLock = document.createElement('meta'); 
			MetaLock.name = "viewport"; 
			MetaLock.content = "width="+ OutW +", initial-scale=1.0, maximum-scale=1.0, user-scalable=no"; 
			objHead.appendChild(MetaLock); 
		}
	//上記以外のユーザーエージェント、ウィンドウ幅では、PCCssが適用されます。
	}else{
		if(CssLink.getAttribute("href").match(BaseCss)){
			CssLink.setAttribute("href", CssLink.getAttribute("href").replace(BaseCss, PCCss));
		}
	}
}

//HTMLロード前に実行
//Thanks! http://d.hatena.ne.jp/monjudoh/20080908/1220862599
(function(){
function bindReady(callback){
	var isReady = false;
	function ready(){
		if(isReady)return;
		isReady = true;
		callback();
	}
	bindReady = function(){};
	var userAgent = navigator.userAgent.toLowerCase();
	var browser = {
		safari: /webkit/.test( userAgent ),
		opera: /opera/.test( userAgent ),
		msie: /msie/.test( userAgent ) && !/opera/.test( userAgent )
	};
	// Mozilla, Opera (see further below for it) and webkit nightlies currently support this event
	if ( document.addEventListener && !browser.opera)
		// Use the handy event callback
		document.addEventListener( "DOMContentLoaded", ready, false );

	// If IE is used and is not in a frame
	// Continually check to see if the document is ready
	if ( browser.msie && window == top ) (function(){
		if (isReady) return;
		try {
			// If IE is used, use the trick by Diego Perini
			// http://javascript.nwbox.com/IEContentLoaded/
			document.documentElement.doScroll("left");
		} catch( error ) {
			setTimeout( arguments.callee, 0 );
			return;
		}
		// and execute a waiting function
		ready();
	})();

	if ( browser.opera )
		document.addEventListener( "DOMContentLoaded", function () {
			if (isReady) return;
			for (var i = 0; i < document.styleSheets.length; i++)
				if (document.styleSheets[i].disabled) {
					setTimeout( arguments.callee, 0 );
					return;
				}
			// and execute a waiting function
			ready();
		}, false);

	if ( browser.safari ) {
		var numStyles;
		function countNumStyles(){
			var d = document;
			var stylesLength = d.getElementsByTagName('style').length;
			var links = d.getElementsByTagName('link');
			for(var i = 0; i++; i < links.length){
				if(links[i].rel == 'stylesheet'){
					stylesLength++;
				}
			}
			return stylesLength;
		}
		(function(){
			if (isReady) return;
			if ( document.readyState != "loaded" && document.readyState != "complete" ) {
				setTimeout( arguments.callee, 0 );
				return;
			}
			if ( numStyles === undefined )
				numStyles = countNumStyles();
			if ( document.styleSheets.length != numStyles ) {
				setTimeout( arguments.callee, 0 );
				return;
			}
			// and execute a waiting function
			ready();
		})();
	}
	var oldOnload = window.onload;
	window.onload=function(){
		if(oldOnload)oldOnload();
		ready();
	};

}
bindReady(function(){
UASC();
});

})();

}
